Seedance 2 Omni Fast
curl --request POST \
--url https://api2.radinai.com/v2/generation/seedance-2-omni-fast \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"prompt": "<your-prompt>",
"images": [
"image download URL - or file name obtained from /upload endpoint"
],
"videos": [
"video download URL - or file name obtained from /upload endpoint"
],
"audios": [
"audio download URL - or file name obtained from /upload endpoint"
]
}
'import requests
url = "https://api2.radinai.com/v2/generation/seedance-2-omni-fast"
payload = {
"prompt": "<your-prompt>",
"images": ["image download URL - or file name obtained from /upload endpoint"],
"videos": ["video download URL - or file name obtained from /upload endpoint"],
"audios": ["audio download URL - or file name obtained from /upload endpoint"]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: '<your-prompt>',
images: ['image download URL - or file name obtained from /upload endpoint'],
videos: ['video download URL - or file name obtained from /upload endpoint'],
audios: ['audio download URL - or file name obtained from /upload endpoint']
})
};
fetch('https://api2.radinai.com/v2/generation/seedance-2-omni-fast', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"genId": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Video Generation
Seedance 2 Omni Fast
Video Generation using Seedance 2.0 Fast
POST
/
v2
/
generation
/
seedance-2-omni-fast
Seedance 2 Omni Fast
Authorizations
API key, obtained from https://radinai.com/manage-api-keys
Query Parameters
Your Webhook URL, if specified, the result of the generation will be POSTed to this URL.
Body
application/json
Maximum string length:
5000Example:
"<your-prompt>"
Available options:
4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15 Available options:
21:9, 16:9, 4:3, 1:1, 3:4, 9:16 Available options:
480, 720 An array of image names or download URLs - if you don't have a download URL, you can upload the file and get the file name from the /upload endpoint.
Maximum array length:
9Minimum string length:
1An array of video names or download URLs - if you don't have a download URL, you can upload the file and get the file name from the /upload endpoint.
Maximum array length:
3Minimum string length:
1An array of audio file names or download URLs - if you don't have a download URL, you can upload the file and get the file name from the /upload endpoint.
Maximum array length:
3Minimum string length:
1Response
Response for status 200
Last modified on July 30, 2026
⌘I

